Subject: Re: bug#10125: RFE: require and load-path-shadowing

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Jan 2013 10:15:31 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 11 Jan 2013 17:52:33 -0500
> Cc: [email-masked]
> 
> >>>> I guess we could fork Emacs early on and keep this second process
> >>>> around as a "process from which to generate new clean slates".
> >>> I've been thinking about something like this for a while… if it worked
> >>> at least as well as starting a new Emacs instance on all platforms, I'd
> >>> favor this approach.
> >> IIUC "fork" is not really an option for w32.
> > For the intended application spawn should work as well?
> 
> Could be: depends on the precise semantics of spawn, which I don't know.

I'm barely following this thread, so please tell what semantics do you
need, and I will then try figuring out whether spawn does what you
need.